<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.135
Name: Anamnesi Fisiologica-Patologica (RAP)
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439">
   <title>Anamnesi Fisiologica-Patologica (RAP)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.135
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.135
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]
Item: (CDAObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]"
         id="d42e1463-false-d43316e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(CDAObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="string(@moodCode) = ('EVN')">(CDAObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.12.303']) &gt;= 1">(CDAObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.12.303'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.12.303']) &lt;= 1">(CDAObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.12.303'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="count(hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(CDAObservation): element hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="count(hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(CDAObservation): element hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="count(hl7:text) &lt;= 1">(CDAObservation): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &gt;= 1">(CDAObservation): element hl7:statusCode[@code = 'completed' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(CDAObservation): element hl7:statusCode[@code = 'completed' or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="count(hl7:effectiveTime) &gt;= 1">(CDAObservation): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="count(hl7:effectiveTime) &lt;= 1">(CDAObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(CDAObservation): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(CDAObservation): element hl7:value[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]) &lt;= 1">(CDAObservation): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]) &lt;= 1">(CDAObservation): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.135
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:templateId[@root = '2.16.840.1.113883.10.12.303']
Item: (CDAObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:templateId[@root = '2.16.840.1.113883.10.12.303']"
         id="d42e1469-false-d43404e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="string(@root) = ('2.16.840.1.113883.10.12.303')">(CDAObservation): The value for root SHALL be '2.16.840.1.113883.10.12.303'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.135
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:id
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.135
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (CDAObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e1476-false-d43424e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="@nullFlavor or (@code='75326-9' and @codeSystem='2.16.840.1.113883.6.1')">(CDAObservation): The element value SHALL be one of 'code '75326-9' codeSystem '2.16.840.1.113883.6.1''.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(CDAObservation): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(CDAObservation): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.135
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:text
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.135
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (CDAObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d42e1501-false-d43452e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="@nullFlavor or (@code='completed')">(CDAObservation): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.135
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:effectiveTime
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.135
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:value[not(@nullFlavor)]
Item: (CDAObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:value[not(@nullFlavor)]"
         id="d42e1521-false-d43473e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(CDAObservation): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(CDAObservation): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(CDAObservation): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(CDAObservation): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="count(hl7:originalText[hl7:reference]) &lt;= 1">(CDAObservation): element hl7:originalText[hl7:reference] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.135
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:value[not(@nullFlavor)]/hl7:originalText[hl7:reference]
Item: (CDAObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:value[not(@nullFlavor)]/hl7:originalText[hl7:reference]"
         id="d42e1549-false-d43499e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="count(hl7:reference) &gt;= 1">(CDAObservation): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="count(hl7:reference) &lt;= 1">(CDAObservation): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.135
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:value[not(@nullFlavor)]/hl7:originalText[hl7:reference]/hl7:reference
Item: (CDAObservation)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.135
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19447-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(CDAObservation): The value for typeCode SHALL be selected from value set '2.16.840.1.113883.1.11.19447' x_ActRelationshipEntryRelationship (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.135
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19447-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(CDAObservation): The value for typeCode SHALL be selected from value set '2.16.840.1.113883.1.11.19447' x_ActRelationshipEntryRelationship (DYNAMIC).</assert>
   </rule>
</pattern>
