<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.142
Name: Procedura (RAP)
Description: Template CDA Section (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001">
   <title>Procedura (RAP)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.142
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]
Item: (CDASection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]"
         id="d42e1892-false-d44395e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]) &gt;= 1">(CDASection): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]) &lt;= 1">(CDASection): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.142
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]
Item: (CDASection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]"
         id="d42e1912-false-d44452e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(CDASection): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(CDASection): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.12.201']) &gt;= 1">(CDASection): element hl7:templateId[@root = '2.16.840.1.113883.10.12.201'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.12.201']) &lt;= 1">(CDASection): element hl7:templateId[@root = '2.16.840.1.113883.10.12.201'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.html"
              test="count(hl7:id) &lt;= 1">(CDASection): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.html"
              test="count(hl7:code[(@code = '29300-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(CDASection): element hl7:code[(@code = '29300-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.html"
              test="count(hl7:code[(@code = '29300-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(CDASection): element hl7:code[(@code = '29300-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.html"
              test="count(hl7:title) &lt;= 1">(CDASection): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.html"
              test="count(hl7:text) &gt;= 1">(CDASection): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.html"
              test="count(hl7:text) &lt;= 1">(CDASection): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.html"
              test="count(hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]) &gt;= 1">(CDASection): element hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.142
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:templateId[@root = '2.16.840.1.113883.10.12.201']
Item: (CDASection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:templateId[@root = '2.16.840.1.113883.10.12.201']"
         id="d42e1925-false-d44548e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.html"
              test="string(@root) = ('2.16.840.1.113883.10.12.201')">(CDASection): The value for root SHALL be '2.16.840.1.113883.10.12.201'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.142
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:id
Item: (CDASection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.142
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:code[(@code = '29300-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (CDASection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:code[(@code = '29300-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e1933-false-d44568e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.html"
              test="@nullFlavor or (@code='29300-1' and @codeSystem='2.16.840.1.113883.6.1')">(CDASection): The element value SHALL be one of 'code '29300-1' codeSystem '2.16.840.1.113883.6.1''.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(CDASection): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(CDASection): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.142
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:title
Item: (CDASection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.142
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:text
Item: (CDASection)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.142
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]
Item: (CDASection)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDASection): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.142
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]
Item: (CDASection)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDASection): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.142
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]
Item: (CDASection)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDASection): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.142
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]
Item: (CDASection)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDASection): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>
</pattern>
