<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.151
Name: Procedura di prelievo dei pezzi del campione RAP
Description: Template CDA Procedure (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524">
   <title>Procedura di prelievo dei pezzi del campione RAP</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.151
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]
Item: (CDAProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]"
         id="d42e3133-false-d47444e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]) &gt;= 1">(CDAProcedure): element hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]) &lt;= 1">(CDAProcedure): element hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.151
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]
Item: (CDAProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]"
         id="d42e3153-false-d47465e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="string(@classCode) = ('PROC') or not(@classCode)">(CDAProcedure): The value for classCode SHALL be 'PROC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="string(@moodCode) = ('EVN')">(CDAProcedure): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.12.306']) &gt;= 1">(CDAProcedure): element hl7:templateId[@root = '2.16.840.1.113883.10.12.306'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.12.306']) &lt;= 1">(CDAProcedure): element hl7:templateId[@root = '2.16.840.1.113883.10.12.306'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:code[(@code = '85069-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(CDAProcedure): element hl7:code[(@code = '85069-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:code[(@code = '85069-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(CDAProcedure): element hl7:code[(@code = '85069-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:effectiveTime) &gt;= 1">(CDAProcedure): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:effectiveTime) &lt;= 1">(CDAProcedure): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:specimen[hl7:specimenRole]) &gt;= 1">(CDAProcedure): element hl7:specimen[hl7:specimenRole] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:specimen[hl7:specimenRole]) &lt;= 1">(CDAProcedure): element hl7:specimen[hl7:specimenRole] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]) &lt;= 1">(CDAProcedure): element hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.12.301']]]) &lt;= 1">(CDAProcedure): element hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.12.301']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.151
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:templateId[@root = '2.16.840.1.113883.10.12.306']
Item: (CDAProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:templateId[@root = '2.16.840.1.113883.10.12.306']"
         id="d42e3159-false-d47538e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="string(@root) = ('2.16.840.1.113883.10.12.306')">(CDAProcedure): The value for root SHALL be '2.16.840.1.113883.10.12.306'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.151
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:id
Item: (CDAProcedure)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.151
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:code[(@code = '85069-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (CDAProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:code[(@code = '85069-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e3166-false-d47558e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="@nullFlavor or (@code='85069-3' and @codeSystem='2.16.840.1.113883.6.1')">(CDAProcedure): The element value SHALL be one of 'code '85069-3' codeSystem '2.16.840.1.113883.6.1''.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(CDAProcedure): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(CDAProcedure): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.151
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:effectiveTime
Item: (CDAProcedure)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.151
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:specimen[hl7:specimenRole]
Item: (CDAProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:specimen[hl7:specimenRole]"
         id="d42e3188-false-d47585e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:specimenRole) &gt;= 1">(CDAProcedure): element hl7:specimenRole is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:specimenRole) &lt;= 1">(CDAProcedure): element hl7:specimenRole appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.151
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:specimen[hl7:specimenRole]/hl7:specimenRole
Item: (CDAProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:specimen[hl7:specimenRole]/hl7:specimenRole"
         id="d42e3190-false-d47601e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="string(@classCode) = ('SPEC') or not(@classCode)">(CDAProcedure): The value for classCode SHALL be 'SPEC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:id) &gt;= 1">(CDAProcedure): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:id) &lt;= 1">(CDAProcedure): element hl7:id appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.151
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:specimen[hl7:specimenRole]/hl7:specimenRole/hl7:id
Item: (CDAProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:specimen[hl7:specimenRole]/hl7:specimenRole/hl7:id"
         id="d42e3194-false-d47621e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="@root">(CDAProcedure): attribute @root SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(CDAProcedure): Attribute @root SHALL be of data type 'uid'  - '<value-of select="@root"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="@extension">(CDAProcedure): attribute @extension SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="not(@extension) or string-length(@extension)&gt;0">(CDAProcedure): Attribute @extension SHALL be of data type 'st'  - '<value-of select="@extension"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.151
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]
Item: (CDAProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]"
         id="d42e3213-false-d47640e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="@typeCode">(CDAProcedure): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAProcedure): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:observation[hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]) &gt;= 1">(CDAProcedure): element hl7:observation[hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:observation[hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]) &lt;= 1">(CDAProcedure): element hl7:observation[hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.151
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:observation[hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]
Item: (CDAProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:observation[hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]"
         id="d42e3226-false-d47663e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="string(@moodCode) = ('EVN')">(CDAProcedure): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(CDAProcedure): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(CDAProcedure): element hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(CDAProcedure): element hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:value) &gt;= 1">(CDAProcedure): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:value) &lt;= 1">(CDAProcedure): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.151
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:observation[hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (CDAProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:observation[hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e3232-false-d47697e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="@nullFlavor or (@code='33747-7' and @codeSystem='2.16.840.1.113883.6.1')">(CDAProcedure): The element value SHALL be one of 'code '33747-7' codeSystem '2.16.840.1.113883.6.1''.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(CDAProcedure): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(CDAProcedure): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.151
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:observation[hl7:code[(@code = '33747-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:value
Item: (CDAProcedure)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.151
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.12.301']]]
Item: (CDAProcedure)
-->
   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.12.301']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="@typeCode">(CDAProcedure): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAProcedure): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.151
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:entryRelationship[@typeCode][hl7:observationMedia]
Item: (CDAProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:entryRelationship[@typeCode][hl7:observationMedia]"
         id="d42e3280-false-d47744e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="@typeCode">(CDAProcedure): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAProcedure): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:observationMedia[hl7:value]) &gt;= 1">(CDAProcedure): element hl7:observationMedia[hl7:value] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:observationMedia[hl7:value]) &lt;= 1">(CDAProcedure): element hl7:observationMedia[hl7:value] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.151
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:entryRelationship[@typeCode][hl7:observationMedia]/hl7:observationMedia[hl7:value]
Item: (CDAProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:entryRelationship[@typeCode][hl7:observationMedia]/hl7:observationMedia[hl7:value]"
         id="d42e3293-false-d47765e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(CDAProcedure): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(CDAProcedure): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:value) &gt;= 1">(CDAProcedure): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="count(hl7:value) &lt;= 1">(CDAProcedure): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.151
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:entryRelationship[@typeCode][hl7:observationMedia]/hl7:observationMedia[hl7:value]/hl7:value
Item: (CDAProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]/hl7:entryRelationship[@typeCode][hl7:observationMedia]/hl7:observationMedia[hl7:value]/hl7:value"
         id="d42e3306-false-d47789e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="string(@representation) = ('B64')">(CDAProcedure): The value for representation SHALL be 'B64'. Found: "<value-of select="@representation"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="not(@representation) or string-length(@representation)&gt;0">(CDAProcedure): Attribute @representation SHALL be of data type 'bin'  - '<value-of select="@representation"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="@mediaType">(CDAProcedure): attribute @mediaType SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.html"
              test="not(@mediaType) or (string-length(@mediaType) &gt; 0 and not(matches(@mediaType,'\s')))">(CDAProcedure): Attribute @mediaType SHALL be of data type 'cs'  - '<value-of select="@mediaType"/>'</assert>
   </rule>
</pattern>
