<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.195
Name: Formula del tumore RAP
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932">
   <title>Formula del tumore RAP</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]"
         id="d42e6318-false-d55272e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]) &gt;= 1">(CDAObservation): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]) &lt;= 1">(CDAObservation): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]
Item: (CDAObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]"
         id="d42e6338-false-d55421e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(CDAObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="string(@moodCode) = ('EVN')">(CDAObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.12.303']) &gt;= 1">(CDAObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.12.303'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.12.303']) &lt;= 1">(CDAObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.12.303'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:code[(@code = '22640-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(CDAObservation): element hl7:code[(@code = '22640-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:code[(@code = '22640-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(CDAObservation): element hl7:code[(@code = '22640-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:text) &lt;= 1">(CDAObservation): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]) &lt;= 1">(CDAObservation): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]) &lt;= 1">(CDAObservation): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]) &lt;= 1">(CDAObservation): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]) &lt;= 1">(CDAObservation): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]) &lt;= 1">(CDAObservation): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]) &lt;= 1">(CDAObservation): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]) &lt;= 1">(CDAObservation): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]) &lt;= 1">(CDAObservation): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]) &lt;= 1">(CDAObservation): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]) &lt;= 1">(CDAObservation): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]) &lt;= 1">(CDAObservation): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]) &lt;= 1">(CDAObservation): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]) &lt;= 1">(CDAObservation): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]) &lt;= 1">(CDAObservation): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]) &lt;= 1">(CDAObservation): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]) &lt;= 1">(CDAObservation): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]) &lt;= 1">(CDAObservation): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]) &lt;= 1">(CDAObservation): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]) &lt;= 1">(CDAObservation): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:templateId[@root = '2.16.840.1.113883.10.12.303']
Item: (CDAObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:templateId[@root = '2.16.840.1.113883.10.12.303']"
         id="d42e6344-false-d55664e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="string(@root) = ('2.16.840.1.113883.10.12.303')">(CDAObservation): The value for root SHALL be '2.16.840.1.113883.10.12.303'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:id
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:code[(@code = '22640-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (CDAObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:code[(@code = '22640-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e6351-false-d55684e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="@nullFlavor or (@code='22640-7' and @codeSystem='2.16.840.1.113883.6.1')">(CDAObservation): The element value SHALL be one of 'code '22640-7' codeSystem '2.16.840.1.113883.6.1''.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(CDAObservation): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(CDAObservation): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:text
Item: (CDAObservation)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAObservation): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAObservation): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAObservation): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAObservation): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAObservation): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAObservation): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAObservation): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAObservation): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAObservation): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAObservation): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAObservation): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAObservation): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAObservation): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAObservation): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAObservation): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAObservation): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAObservation): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAObservation): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.195
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20220930T155435/tmp-2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(CDAObservation): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>
</pattern>
